.view-display-id-home_program_list .view-content {
  display: grid;
  gap: 48px;
  align-items: stretch;
  margin: 80px 0;

  @media (min-width: 1024px) {
    grid-template-columns: repeat(3, 1fr);
  }
}

.view-display-id-program_comparison .view-content {
  display: grid;
  gap: 40px;
  align-items: stretch;

  @container main (min-width: 1024px) {
    grid-template-columns: repeat(3, 1fr);
  }
}

.taxonomy-term--view-mode-program-comparison {
  display: flex;
  flex-direction: column;
  padding: 20px;
  background-color: var(--bg-tertiary);
  height: 100%;
  border-radius: 16px;

  & .group-header {
    border-bottom: 1px solid var(--border-secondary);
  }

  & .field--name-field-icon {
    color: var(--text-secondary);
  }

  & .field--name-taxonomy-term-title {
    margin-top: 16px;
  }

  & .field--name-field-short-description {
    color: var(--text-secondary);
    margin: 8px 0;
    font-size: 16px;
  }

  & .field--name-field-checklist {
    padding: 20px 0;
    flex-grow: 1;

    & .field__label {
      margin-bottom: 16px;
    }

    & .field__item {
      display: flex;
      flex-direction: column;
      gap: 16px;
      color: var(--text-secondary);

      & .todo-list {
        display: flex;
        flex-direction: column;
        gap: 16px;

        & input {
          display: none;
        }

        & li {
          position: relative;
          font-size: 18px;
          padding-left: 30px;

          --icon-src: url("/modules/custom/ui_icons_boxicons/node_modules/boxicons/svg/regular/bx-x.svg");
          --icon-color: var(--text-error);

          &:has(input[type="checkbox"]:checked) {
            --icon-src: url("/modules/custom/ui_icons_boxicons/node_modules/boxicons/svg/regular/bx-check.svg");
            --icon-color: var(--text-success);
          }

          &::before {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 24px;
            height: 24px;
            display: block;
            mask-image: var(--icon-src);
            mask-size: contain;
            mask-repeat: no-repeat;
            background-color: var(--icon-color);
            margin-right: 16px;
          }

          & strong {
            font-size: 10px;
            background-color: var(--color-mist);
            color: var(--text-alternative);
            padding: 2px 6px;
            display: inline-block;
            font-weight: 600;
            border-radius: 9px 0;
            vertical-align: middle;
          }
        }
      }
    }
  }

  & .group-action {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 16px;
    border-top: 1px solid var(--border-secondary);

    & .field--name-field-telephone {
      display: flex;
      align-items: center;
    }

    & .field--name-field-telephone a {
      font-size: 18px;
      display: inline-flex;
      gap: 8px;
      align-items: center;

      &::before {
        content: '';
        width: 24px;
        height: 24px;
        display: block;
        background-color: var(--text-secondary);
        mask-image: url("/modules/custom/ui_icons_boxicons/node_modules/boxicons/svg/regular/bx-phone.svg");
        mask-size: contain;
        mask-repeat: no-repeat;
      }
    }

    & .field--name-dynamic-token-fieldtaxonomy-term-learn-more a {
      font-size: 16px;
      font-weight: 600;
      display: inline-flex;
      gap: 8px;
      align-items: center;
      color: var(--text-secondary);

      &::after {
        content: '';
        width: 24px;
        height: 24px;
        display: block;
        background-color: var(--text-secondary);
        mask-image: url("/modules/custom/ui_icons_boxicons/node_modules/boxicons/svg/regular/bx-right-arrow-alt.svg");
        mask-size: contain;
        mask-repeat: no-repeat;
      }
    }
  }
}
